#!/bin/bash
# Date : (2014-08-19 19:41)
# Last Revision : (2014-08-19 22:05)
# Wine Version used : 1.7.20
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="risen"
PREFIX="Risen_gog"
WORKING_WINE_VERSION="1.7.20"

TITLE="GOG.com - Risen"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Piranha Bytes" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_Call POL_GoG_install

POL_Call POL_Install_d3dx9_36

Set_OS winxp

# Configure the shortcut
GOGPATH="$GOGROOT/Risen"
POL_Shortcut "Risen.exe" "Risen" "" "" "Game;"
POL_Shortcut_Document "Risen" "$GOGPATH/Risen - Manual.pdf"

POL_SetupWindow_Close
exit 0
